import { FC } from 'react';
import { FieldConfig } from 'formik';
import { SelectProps, Option } from 'practical-react-components-core';
interface FormikNumberSelectOptions extends Omit<Option, 'value'> {
    readonly value: number;
}
interface FormikNumberSelectProps extends Omit<SelectProps, 'name' | 'value' | 'options'>, Pick<FieldConfig, 'name' | 'validate'> {
    readonly options: ReadonlyArray<FormikNumberSelectOptions>;
    readonly value?: number;
}
export declare const FormikNumberSelect: FC<FormikNumberSelectProps>;
export declare const FormikNumberSelectField: FC<FormikNumberSelectProps & import("practical-react-components-core").FieldProps>;
export {};
