import { FC } from 'react';
import { FieldConfig } from 'formik';
import { TextInputCredentialsProps } from 'practical-react-components-core';
export interface FormikInputCredentialsProps extends Omit<TextInputCredentialsProps, 'name' | 'value'>, Partial<Pick<TextInputCredentialsProps, 'value'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare const FormikInputCredentials: FC<FormikInputCredentialsProps>;
export declare const FormikInputCredentialsField: FC<FormikInputCredentialsProps & import("practical-react-components-core").FieldProps>;
