/// <reference types="react" />
import { FieldConfig } from 'formik';
import { MultiSelectProps, FieldProps } from 'practical-react-components-core';
export interface FormikMultiSelectProps<V extends string = string> extends Omit<MultiSelectProps<V>, 'name' | 'value'>, Partial<Pick<MultiSelectProps<V>, 'value'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare function FormikMultiSelect<V extends string = string>({ name, validate, ...props }: FormikMultiSelectProps<V>): JSX.Element;
export declare const FormikMultiSelectField: <V extends string = string>(props: FieldProps & FormikMultiSelectProps<V>) => import("react").ReactElement<any, any> | null;
