import { FC } from 'react';
import { FieldConfig } from 'formik';
import { NumberInputProps } from 'practical-react-components-core';
export interface FormikNumberInputProps extends Omit<NumberInputProps, 'name' | 'value'>, Pick<FieldConfig, 'name' | 'validate'> {
    readonly value?: number;
}
export declare const FormikNumberInput: FC<FormikNumberInputProps>;
export declare const FormikNumberInputField: FC<FormikNumberInputProps & import("practical-react-components-core").FieldProps>;
