import { FC } from 'react';
import { FieldConfig } from 'formik';
import { TextInputProps } from 'practical-react-components-core';
export interface FormikTextInputProps extends Omit<TextInputProps, 'name' | 'value'>, Partial<Pick<TextInputProps, 'value'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare const FormikTextInput: FC<FormikTextInputProps>;
export declare const FormikTextInputField: FC<FormikTextInputProps & import("practical-react-components-core").FieldProps>;
